/**
 * @file
 * Client scripts for the views_mark_current module Table style.
 *
 * You can override this file in a custom module or theme. See
 * https://www.drupal.org/node/2216195#override-extend for more information.
 */

(function ($, Drupal) {

  Drupal.behaviors.views_mark_current_table = {
    attach: function attach(context, settings) {
      var $table = $('table.views-view-table', context);
      var $currentFields = $('td[data-views-mark-current="current-entity--field"]', $table);

      // This looks for a title field, and adds the translated text '(current)'
      // to the end of the field text.
      $currentFields.filter('.views-field-title').each(function (index, element) {
        var $currentText = $('<span>')
          .addClass('views-mark-current-text')
          .attr('data-views-mark-current', 'current-text')
          .text(Drupal.t('(current)'));
        $(element).append($currentText)
      });
    }
  };
})(jQuery, Drupal);
